pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.4.5 20110214 (Red Hat 4.4.5-6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#374c023f#;
   u00002 : constant Version_32 := 16#4b33036a#;
   u00003 : constant Version_32 := 16#03570e27#;
   u00004 : constant Version_32 := 16#7c440be2#;
   u00005 : constant Version_32 := 16#93d565dd#;
   u00006 : constant Version_32 := 16#4cac05fa#;
   u00007 : constant Version_32 := 16#f113180b#;
   u00008 : constant Version_32 := 16#a69cad5c#;
   u00009 : constant Version_32 := 16#59507545#;
   u00010 : constant Version_32 := 16#e98c0dd7#;
   u00011 : constant Version_32 := 16#7e0cb3d7#;
   u00012 : constant Version_32 := 16#a184746f#;
   u00013 : constant Version_32 := 16#9c7dd3ea#;
   u00014 : constant Version_32 := 16#9201cee0#;
   u00015 : constant Version_32 := 16#e3d85f73#;
   u00016 : constant Version_32 := 16#94741034#;
   u00017 : constant Version_32 := 16#b6c89fbe#;
   u00018 : constant Version_32 := 16#082bad9f#;
   u00019 : constant Version_32 := 16#2ea84b20#;
   u00020 : constant Version_32 := 16#675a46dd#;
   u00021 : constant Version_32 := 16#6ad13d41#;
   u00022 : constant Version_32 := 16#024c4be6#;
   u00023 : constant Version_32 := 16#55ef7c79#;
   u00024 : constant Version_32 := 16#79e27dc7#;
   u00025 : constant Version_32 := 16#e1e7b9d6#;
   u00026 : constant Version_32 := 16#5c99462f#;
   u00027 : constant Version_32 := 16#fcfb2939#;
   u00028 : constant Version_32 := 16#9adfe24f#;
   u00029 : constant Version_32 := 16#1a63fe0c#;
   u00030 : constant Version_32 := 16#e2d45724#;
   u00031 : constant Version_32 := 16#5b8b9839#;
   u00032 : constant Version_32 := 16#84cb56f4#;
   u00033 : constant Version_32 := 16#b871c253#;
   u00034 : constant Version_32 := 16#102b62e6#;
   u00035 : constant Version_32 := 16#9e37526b#;
   u00036 : constant Version_32 := 16#e6ba0057#;
   u00037 : constant Version_32 := 16#9c49ee35#;
   u00038 : constant Version_32 := 16#fe1ac4dc#;
   u00039 : constant Version_32 := 16#548dead1#;
   u00040 : constant Version_32 := 16#743d3d0d#;
   u00041 : constant Version_32 := 16#3f7697ad#;
   u00042 : constant Version_32 := 16#ccde3404#;
   u00043 : constant Version_32 := 16#bb01d85c#;
   u00044 : constant Version_32 := 16#2c57c517#;
   u00045 : constant Version_32 := 16#b4e59ccb#;
   u00046 : constant Version_32 := 16#300a43f3#;
   u00047 : constant Version_32 := 16#9fccc0bb#;
   u00048 : constant Version_32 := 16#99c8a881#;
   u00049 : constant Version_32 := 16#292b3767#;
   u00050 : constant Version_32 := 16#4586b146#;
   u00051 : constant Version_32 := 16#38237c53#;
   u00052 : constant Version_32 := 16#923573c8#;
   u00053 : constant Version_32 := 16#183b4446#;
   u00054 : constant Version_32 := 16#fcec4850#;
   u00055 : constant Version_32 := 16#16dfe486#;
   u00056 : constant Version_32 := 16#6d0998e1#;
   u00057 : constant Version_32 := 16#e530d1a9#;
   u00058 : constant Version_32 := 16#a8d17654#;
   u00059 : constant Version_32 := 16#f6ee8365#;
   u00060 : constant Version_32 := 16#5a3fda6b#;
   u00061 : constant Version_32 := 16#5056e8dd#;
   u00062 : constant Version_32 := 16#a8d6f8d6#;
   u00063 : constant Version_32 := 16#8213b492#;
   u00064 : constant Version_32 := 16#ce5a6d58#;
   u00065 : constant Version_32 := 16#44c7af1b#;
   u00066 : constant Version_32 := 16#05ee0330#;
   u00067 : constant Version_32 := 16#31db65a3#;
   u00068 : constant Version_32 := 16#a843ed2f#;
   u00069 : constant Version_32 := 16#293ff6f7#;
   u00070 : constant Version_32 := 16#9a89fb5f#;
   u00071 : constant Version_32 := 16#2461b049#;
   u00072 : constant Version_32 := 16#0aa29e81#;
   u00073 : constant Version_32 := 16#2274d34a#;
   u00074 : constant Version_32 := 16#664c98be#;
   u00075 : constant Version_32 := 16#a4e44d97#;
   u00076 : constant Version_32 := 16#8cf8ce98#;
   u00077 : constant Version_32 := 16#b2d6ceed#;
   u00078 : constant Version_32 := 16#1096f5e5#;
   u00079 : constant Version_32 := 16#80205526#;
   u00080 : constant Version_32 := 16#5bb1360c#;
   u00081 : constant Version_32 := 16#96410e68#;
   u00082 : constant Version_32 := 16#1c1011b0#;
   u00083 : constant Version_32 := 16#3f280002#;
   u00084 : constant Version_32 := 16#4ce08029#;
   u00085 : constant Version_32 := 16#fded6d3a#;
   u00086 : constant Version_32 := 16#c12000c3#;
   u00087 : constant Version_32 := 16#4299ce99#;
   u00088 : constant Version_32 := 16#2620ed76#;
   u00089 : constant Version_32 := 16#e26ddb9f#;
   u00090 : constant Version_32 := 16#4654217d#;
   u00091 : constant Version_32 := 16#46c20a43#;
   u00092 : constant Version_32 := 16#d7835448#;
   u00093 : constant Version_32 := 16#403938b5#;
   u00094 : constant Version_32 := 16#f58a7cd2#;
   u00095 : constant Version_32 := 16#9267bb83#;
   u00096 : constant Version_32 := 16#05984680#;
   u00097 : constant Version_32 := 16#18f4a7e7#;
   u00098 : constant Version_32 := 16#b5565364#;
   u00099 : constant Version_32 := 16#b4ced8b6#;
   u00100 : constant Version_32 := 16#0392a0a4#;
   u00101 : constant Version_32 := 16#acc4efb9#;
   u00102 : constant Version_32 := 16#e77b4d5d#;
   u00103 : constant Version_32 := 16#39505833#;
   u00104 : constant Version_32 := 16#f0c2e29f#;
   u00105 : constant Version_32 := 16#1d447324#;
   u00106 : constant Version_32 := 16#207c515b#;
   u00107 : constant Version_32 := 16#189f5312#;
   u00108 : constant Version_32 := 16#574c0250#;
   u00109 : constant Version_32 := 16#24ca59dd#;
   u00110 : constant Version_32 := 16#f6c9e787#;
   u00111 : constant Version_32 := 16#d77bf918#;
   u00112 : constant Version_32 := 16#ed3d7443#;
   u00113 : constant Version_32 := 16#b232675b#;
   u00114 : constant Version_32 := 16#e1b954ca#;
   u00115 : constant Version_32 := 16#802d82f8#;
   u00116 : constant Version_32 := 16#567c5424#;
   u00117 : constant Version_32 := 16#3822a1a6#;
   u00118 : constant Version_32 := 16#4c4bb115#;
   u00119 : constant Version_32 := 16#0255db5c#;
   u00120 : constant Version_32 := 16#63090308#;
   u00121 : constant Version_32 := 16#fa683506#;
   u00122 : constant Version_32 := 16#8d6705dc#;
   u00123 : constant Version_32 := 16#f324aafb#;
   u00124 : constant Version_32 := 16#28653717#;
   u00125 : constant Version_32 := 16#b5a263fa#;
   u00126 : constant Version_32 := 16#468f2319#;
   u00127 : constant Version_32 := 16#b7f2eb37#;
   u00128 : constant Version_32 := 16#43b3c732#;
   u00129 : constant Version_32 := 16#db6c0a54#;
   u00130 : constant Version_32 := 16#695cd916#;
   u00131 : constant Version_32 := 16#27763aa3#;
   u00132 : constant Version_32 := 16#a1fca365#;
   u00133 : constant Version_32 := 16#2c6c1040#;
   u00134 : constant Version_32 := 16#68aae435#;
   u00135 : constant Version_32 := 16#f56fa201#;
   u00136 : constant Version_32 := 16#71ff86f3#;
   u00137 : constant Version_32 := 16#5739d132#;
   u00138 : constant Version_32 := 16#f924eced#;
   u00139 : constant Version_32 := 16#870c2124#;
   u00140 : constant Version_32 := 16#6d2b1592#;
   u00141 : constant Version_32 := 16#6ac2fe8a#;
   u00142 : constant Version_32 := 16#28695856#;
   u00143 : constant Version_32 := 16#bf8f2396#;
   u00144 : constant Version_32 := 16#db3ca6e0#;
   u00145 : constant Version_32 := 16#ca412df9#;
   u00146 : constant Version_32 := 16#47c9a0c1#;
   u00147 : constant Version_32 := 16#4153a413#;
   u00148 : constant Version_32 := 16#04d61552#;
   u00149 : constant Version_32 := 16#fbedc774#;
   u00150 : constant Version_32 := 16#3a61d0a5#;
   u00151 : constant Version_32 := 16#7f50358c#;
   u00152 : constant Version_32 := 16#c9b36d18#;
   u00153 : constant Version_32 := 16#18fb17da#;
   u00154 : constant Version_32 := 16#41fd0ac5#;
   u00155 : constant Version_32 := 16#da64c251#;
   u00156 : constant Version_32 := 16#c7c9fbfb#;
   u00157 : constant Version_32 := 16#05c92cb8#;
   u00158 : constant Version_32 := 16#e71cdcea#;
   u00159 : constant Version_32 := 16#632a2850#;
   u00160 : constant Version_32 := 16#ba451b5b#;
   u00161 : constant Version_32 := 16#360a3628#;
   u00162 : constant Version_32 := 16#17084f8e#;
   u00163 : constant Version_32 := 16#257fea2f#;
   u00164 : constant Version_32 := 16#69873af4#;
   u00165 : constant Version_32 := 16#2645f6e2#;
   u00166 : constant Version_32 := 16#50b975b5#;
   u00167 : constant Version_32 := 16#f444c6d6#;
   u00168 : constant Version_32 := 16#76c61945#;
   u00169 : constant Version_32 := 16#0baa1570#;
   u00170 : constant Version_32 := 16#5ed1af2f#;
   u00171 : constant Version_32 := 16#fd622ebf#;
   u00172 : constant Version_32 := 16#ed14bdce#;
   u00173 : constant Version_32 := 16#cc1134cf#;
   u00174 : constant Version_32 := 16#b9828a2f#;
   u00175 : constant Version_32 := 16#1bc9f0e1#;
   u00176 : constant Version_32 := 16#dc80ce83#;
   u00177 : constant Version_32 := 16#bb19d785#;
   u00178 : constant Version_32 := 16#70f768a2#;
   u00179 : constant Version_32 := 16#f0ddc3f6#;
   u00180 : constant Version_32 := 16#eccbd1ca#;
   u00181 : constant Version_32 := 16#3c09e836#;
   u00182 : constant Version_32 := 16#ccdf59fe#;
   u00183 : constant Version_32 := 16#04e247f8#;
   u00184 : constant Version_32 := 16#3ab3e7b1#;
   u00185 : constant Version_32 := 16#54ed61ee#;
   u00186 : constant Version_32 := 16#55412952#;
   u00187 : constant Version_32 := 16#27756d13#;
   u00188 : constant Version_32 := 16#330db175#;
   u00189 : constant Version_32 := 16#576e561f#;
   u00190 : constant Version_32 := 16#621d20e2#;
   u00191 : constant Version_32 := 16#be674e3b#;
   u00192 : constant Version_32 := 16#bd5e6845#;
   u00193 : constant Version_32 := 16#8488033d#;
   u00194 : constant Version_32 := 16#8535bfda#;
   u00195 : constant Version_32 := 16#aca0f2c0#;
   u00196 : constant Version_32 := 16#ec3d494a#;
   u00197 : constant Version_32 := 16#44ed77f3#;
   u00198 : constant Version_32 := 16#dcae2bf9#;
   u00199 : constant Version_32 := 16#808e35e2#;
   u00200 : constant Version_32 := 16#294c3b74#;
   u00201 : constant Version_32 := 16#464619e6#;
   u00202 : constant Version_32 := 16#647de85b#;
   u00203 : constant Version_32 := 16#b5b2a7ef#;
   u00204 : constant Version_32 := 16#f6ffb5de#;
   u00205 : constant Version_32 := 16#cc6011d5#;
   u00206 : constant Version_32 := 16#e493aaeb#;
   u00207 : constant Version_32 := 16#193e4498#;
   u00208 : constant Version_32 := 16#f18515e1#;
   u00209 : constant Version_32 := 16#90b37396#;
   u00210 : constant Version_32 := 16#2af18fac#;
   u00211 : constant Version_32 := 16#04321c6f#;
   u00212 : constant Version_32 := 16#844b6c12#;
   u00213 : constant Version_32 := 16#09b041db#;
   u00214 : constant Version_32 := 16#22f80240#;
   u00215 : constant Version_32 := 16#27e25d98#;
   u00216 : constant Version_32 := 16#ba3b62b6#;
   u00217 : constant Version_32 := 16#233033f5#;
   u00218 : constant Version_32 := 16#8e48f945#;
   u00219 : constant Version_32 := 16#cb51b1a0#;
   u00220 : constant Version_32 := 16#8ade0a9f#;
   u00221 : constant Version_32 := 16#67ea2305#;
   u00222 : constant Version_32 := 16#9732b4be#;
   u00223 : constant Version_32 := 16#3a779b40#;
   u00224 : constant Version_32 := 16#0654b253#;
   u00225 : constant Version_32 := 16#d9b03987#;
   u00226 : constant Version_32 := 16#34f5453f#;
   u00227 : constant Version_32 := 16#aa2ba923#;
   u00228 : constant Version_32 := 16#1a8be92c#;
   u00229 : constant Version_32 := 16#4a4a0ee2#;
   u00230 : constant Version_32 := 16#50db1cdf#;
   u00231 : constant Version_32 := 16#2ebd4f8e#;
   u00232 : constant Version_32 := 16#766620cb#;
   u00233 : constant Version_32 := 16#f6329017#;
   u00234 : constant Version_32 := 16#c5152676#;
   u00235 : constant Version_32 := 16#d4a74fcf#;
   u00236 : constant Version_32 := 16#fe6ab3cc#;
   u00237 : constant Version_32 := 16#bab38154#;
   u00238 : constant Version_32 := 16#1dcfa428#;
   u00239 : constant Version_32 := 16#d25f3445#;
   u00240 : constant Version_32 := 16#1913f1f2#;
   u00241 : constant Version_32 := 16#0447f28d#;
   u00242 : constant Version_32 := 16#2add8734#;
   u00243 : constant Version_32 := 16#690fa054#;
   u00244 : constant Version_32 := 16#e6bb2a7f#;
   u00245 : constant Version_32 := 16#ac832316#;
   u00246 : constant Version_32 := 16#db05d6d0#;
   u00247 : constant Version_32 := 16#bc746b06#;
   u00248 : constant Version_32 := 16#0e02942a#;
   u00249 : constant Version_32 := 16#f262422f#;
   u00250 : constant Version_32 := 16#8c4368a9#;
   u00251 : constant Version_32 := 16#54bbb09c#;
   u00252 : constant Version_32 := 16#454097dd#;
   u00253 : constant Version_32 := 16#6eb96137#;
   u00254 : constant Version_32 := 16#8134b3db#;
   u00255 : constant Version_32 := 16#2649da24#;
   u00256 : constant Version_32 := 16#c7a30b4d#;
   u00257 : constant Version_32 := 16#3d91200c#;
   u00258 : constant Version_32 := 16#854c6e8f#;
   u00259 : constant Version_32 := 16#4441246a#;
   u00260 : constant Version_32 := 16#9cbc7e4e#;
   u00261 : constant Version_32 := 16#0c1f6bec#;
   u00262 : constant Version_32 := 16#19199b7f#;
   u00263 : constant Version_32 := 16#8def44fa#;
   u00264 : constant Version_32 := 16#a6755eec#;
   u00265 : constant Version_32 := 16#842c78ec#;
   u00266 : constant Version_32 := 16#90235b50#;
   u00267 : constant Version_32 := 16#fe28727c#;

   pragma Export (C, u00001, "mine_detectorB");
   pragma Export (C, u00002, "system__standard_libraryB");
   pragma Export (C, u00003, "system__standard_libraryS");
   pragma Export (C, u00004, "gtkS");
   pragma Export (C, u00005, "gdkS");
   pragma Export (C, u00006, "glibB");
   pragma Export (C, u00007, "glibS");
   pragma Export (C, u00008, "interfacesS");
   pragma Export (C, u00009, "interfaces__cB");
   pragma Export (C, u00010, "interfaces__cS");
   pragma Export (C, u00011, "ada__exceptionsB");
   pragma Export (C, u00012, "ada__exceptionsS");
   pragma Export (C, u00013, "adaS");
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerB");
   pragma Export (C, u00015, "ada__exceptions__last_chance_handlerS");
   pragma Export (C, u00016, "systemS");
   pragma Export (C, u00017, "system__soft_linksB");
   pragma Export (C, u00018, "system__soft_linksS");
   pragma Export (C, u00019, "system__parametersB");
   pragma Export (C, u00020, "system__parametersS");
   pragma Export (C, u00021, "system__secondary_stackB");
   pragma Export (C, u00022, "system__secondary_stackS");
   pragma Export (C, u00023, "system__storage_elementsB");
   pragma Export (C, u00024, "system__storage_elementsS");
   pragma Export (C, u00025, "system__stack_checkingB");
   pragma Export (C, u00026, "system__stack_checkingS");
   pragma Export (C, u00027, "system__exception_tableB");
   pragma Export (C, u00028, "system__exception_tableS");
   pragma Export (C, u00029, "system__htableB");
   pragma Export (C, u00030, "system__htableS");
   pragma Export (C, u00031, "system__exceptionsB");
   pragma Export (C, u00032, "system__exceptionsS");
   pragma Export (C, u00033, "system__string_opsB");
   pragma Export (C, u00034, "system__string_opsS");
   pragma Export (C, u00035, "system__string_ops_concat_3B");
   pragma Export (C, u00036, "system__string_ops_concat_3S");
   pragma Export (C, u00037, "system__tracebackB");
   pragma Export (C, u00038, "system__tracebackS");
   pragma Export (C, u00039, "system__unsigned_typesS");
   pragma Export (C, u00040, "system__wch_conB");
   pragma Export (C, u00041, "system__wch_conS");
   pragma Export (C, u00042, "system__wch_stwB");
   pragma Export (C, u00043, "system__wch_stwS");
   pragma Export (C, u00044, "system__wch_cnvB");
   pragma Export (C, u00045, "system__wch_cnvS");
   pragma Export (C, u00046, "system__wch_jisB");
   pragma Export (C, u00047, "system__wch_jisS");
   pragma Export (C, u00048, "system__traceback_entriesB");
   pragma Export (C, u00049, "system__traceback_entriesS");
   pragma Export (C, u00050, "interfaces__c__stringsB");
   pragma Export (C, u00051, "interfaces__c__stringsS");
   pragma Export (C, u00052, "ada__finalization__list_controllerB");
   pragma Export (C, u00053, "ada__finalization__list_controllerS");
   pragma Export (C, u00054, "ada__finalizationB");
   pragma Export (C, u00055, "ada__finalizationS");
   pragma Export (C, u00056, "system__finalization_rootB");
   pragma Export (C, u00057, "system__finalization_rootS");
   pragma Export (C, u00058, "ada__streamsS");
   pragma Export (C, u00059, "ada__tagsB");
   pragma Export (C, u00060, "ada__tagsS");
   pragma Export (C, u00061, "system__val_lluB");
   pragma Export (C, u00062, "system__val_lluS");
   pragma Export (C, u00063, "system__val_utilB");
   pragma Export (C, u00064, "system__val_utilS");
   pragma Export (C, u00065, "system__case_utilB");
   pragma Export (C, u00066, "system__case_utilS");
   pragma Export (C, u00067, "system__finalization_implementationB");
   pragma Export (C, u00068, "system__finalization_implementationS");
   pragma Export (C, u00069, "system__restrictionsB");
   pragma Export (C, u00070, "system__restrictionsS");
   pragma Export (C, u00071, "system__stream_attributesB");
   pragma Export (C, u00072, "system__stream_attributesS");
   pragma Export (C, u00073, "ada__io_exceptionsS");
   pragma Export (C, u00074, "glib__objectB");
   pragma Export (C, u00075, "glib__objectS");
   pragma Export (C, u00076, "glib__type_conversion_hooksB");
   pragma Export (C, u00077, "glib__type_conversion_hooksS");
   pragma Export (C, u00078, "gtkadaS");
   pragma Export (C, u00079, "gtkada__bindingsB");
   pragma Export (C, u00080, "gtkada__bindingsS");
   pragma Export (C, u00081, "gnatS");
   pragma Export (C, u00082, "gnat__stringsS");
   pragma Export (C, u00083, "system__stringsB");
   pragma Export (C, u00084, "system__stringsS");
   pragma Export (C, u00085, "gtkada__cB");
   pragma Export (C, u00086, "gtkada__cS");
   pragma Export (C, u00087, "gtkada__typesB");
   pragma Export (C, u00088, "gtkada__typesS");
   pragma Export (C, u00089, "glib__glistB");
   pragma Export (C, u00090, "glib__glistS");
   pragma Export (C, u00091, "glib__gslistB");
   pragma Export (C, u00092, "glib__gslistS");
   pragma Export (C, u00093, "gtk__mainB");
   pragma Export (C, u00094, "gtk__mainS");
   pragma Export (C, u00095, "gdk__typesS");
   pragma Export (C, u00096, "glib__generic_propertiesB");
   pragma Export (C, u00097, "glib__generic_propertiesS");
   pragma Export (C, u00098, "glib__valuesB");
   pragma Export (C, u00099, "glib__valuesS");
   pragma Export (C, u00100, "gdk__eventB");
   pragma Export (C, u00101, "gdk__eventS");
   pragma Export (C, u00102, "gdk__rectangleB");
   pragma Export (C, u00103, "gdk__rectangleS");
   pragma Export (C, u00104, "gdk__windowB");
   pragma Export (C, u00105, "gdk__windowS");
   pragma Export (C, u00106, "gtk__widgetB");
   pragma Export (C, u00107, "gtk__widgetS");
   pragma Export (C, u00108, "gdk__colorB");
   pragma Export (C, u00109, "gdk__colorS");
   pragma Export (C, u00110, "gdk__visualB");
   pragma Export (C, u00111, "gdk__visualS");
   pragma Export (C, u00112, "gtk__enumsB");
   pragma Export (C, u00113, "gtk__enumsS");
   pragma Export (C, u00114, "gtk__styleB");
   pragma Export (C, u00115, "gtk__styleS");
   pragma Export (C, u00116, "pangoS");
   pragma Export (C, u00117, "pango__fontB");
   pragma Export (C, u00118, "pango__fontS");
   pragma Export (C, u00119, "system__img_intB");
   pragma Export (C, u00120, "system__img_intS");
   pragma Export (C, u00121, "system__string_ops_concat_5B");
   pragma Export (C, u00122, "system__string_ops_concat_5S");
   pragma Export (C, u00123, "system__string_ops_concat_4B");
   pragma Export (C, u00124, "system__string_ops_concat_4S");
   pragma Export (C, u00125, "pango__enumsB");
   pragma Export (C, u00126, "pango__enumsS");
   pragma Export (C, u00127, "gdk__fontB");
   pragma Export (C, u00128, "gdk__fontS");
   pragma Export (C, u00129, "gdk__gcB");
   pragma Export (C, u00130, "gdk__gcS");
   pragma Export (C, u00131, "gdk__regionB");
   pragma Export (C, u00132, "gdk__regionS");
   pragma Export (C, u00133, "gdk__pixmapB");
   pragma Export (C, u00134, "gdk__pixmapS");
   pragma Export (C, u00135, "gdk__bitmapB");
   pragma Export (C, u00136, "gdk__bitmapS");
   pragma Export (C, u00137, "gtk__objectB");
   pragma Export (C, u00138, "gtk__objectS");
   pragma Export (C, u00139, "glib__propertiesB");
   pragma Export (C, u00140, "glib__propertiesS");
   pragma Export (C, u00141, "pango__layoutB");
   pragma Export (C, u00142, "pango__layoutS");
   pragma Export (C, u00143, "pango__attributesB");
   pragma Export (C, u00144, "pango__attributesS");
   pragma Export (C, u00145, "pango__contextB");
   pragma Export (C, u00146, "pango__contextS");
   pragma Export (C, u00147, "pango__tabsB");
   pragma Export (C, u00148, "pango__tabsS");
   pragma Export (C, u00149, "gtk__windowB");
   pragma Export (C, u00150, "gtk__windowS");
   pragma Export (C, u00151, "gdk__pixbufB");
   pragma Export (C, u00152, "gdk__pixbufS");
   pragma Export (C, u00153, "gdk__cursorB");
   pragma Export (C, u00154, "gdk__cursorS");
   pragma Export (C, u00155, "gdk__displayB");
   pragma Export (C, u00156, "gdk__displayS");
   pragma Export (C, u00157, "gdk__drawableB");
   pragma Export (C, u00158, "gdk__drawableS");
   pragma Export (C, u00159, "gdk__rgbB");
   pragma Export (C, u00160, "gdk__rgbS");
   pragma Export (C, u00161, "glib__errorB");
   pragma Export (C, u00162, "glib__errorS");
   pragma Export (C, u00163, "gtk__accel_groupB");
   pragma Export (C, u00164, "gtk__accel_groupS");
   pragma Export (C, u00165, "gtk__binB");
   pragma Export (C, u00166, "gtk__binS");
   pragma Export (C, u00167, "gtk__containerB");
   pragma Export (C, u00168, "gtk__containerS");
   pragma Export (C, u00169, "gtk__adjustmentB");
   pragma Export (C, u00170, "gtk__adjustmentS");
   pragma Export (C, u00171, "user_ifB");
   pragma Export (C, u00172, "user_ifS");
   pragma Export (C, u00173, "ada__charactersS");
   pragma Export (C, u00174, "ada__characters__latin_1S");
   pragma Export (C, u00175, "ada__stringsS");
   pragma Export (C, u00176, "ada__strings__unboundedB");
   pragma Export (C, u00177, "ada__strings__unboundedS");
   pragma Export (C, u00178, "ada__strings__fixedB");
   pragma Export (C, u00179, "ada__strings__fixedS");
   pragma Export (C, u00180, "ada__strings__mapsB");
   pragma Export (C, u00181, "ada__strings__mapsS");
   pragma Export (C, u00182, "system__bit_opsB");
   pragma Export (C, u00183, "system__bit_opsS");
   pragma Export (C, u00184, "ada__strings__searchB");
   pragma Export (C, u00185, "ada__strings__searchS");
   pragma Export (C, u00186, "system__compare_array_unsigned_8B");
   pragma Export (C, u00187, "system__compare_array_unsigned_8S");
   pragma Export (C, u00188, "system__address_operationsB");
   pragma Export (C, u00189, "system__address_operationsS");
   pragma Export (C, u00190, "fieldS");
   pragma Export (C, u00191, "field__operationsB");
   pragma Export (C, u00192, "field__operationsS");
   pragma Export (C, u00193, "ada__calendarB");
   pragma Export (C, u00194, "ada__calendarS");
   pragma Export (C, u00195, "system__arith_64B");
   pragma Export (C, u00196, "system__arith_64S");
   pragma Export (C, u00197, "system__os_primitivesB");
   pragma Export (C, u00198, "system__os_primitivesS");
   pragma Export (C, u00199, "ada__numericsS");
   pragma Export (C, u00200, "system__val_intB");
   pragma Export (C, u00201, "system__val_intS");
   pragma Export (C, u00202, "system__val_unsB");
   pragma Export (C, u00203, "system__val_unsS");
   pragma Export (C, u00204, "gtk__argumentsB");
   pragma Export (C, u00205, "gtk__argumentsS");
   pragma Export (C, u00206, "gtk__boxB");
   pragma Export (C, u00207, "gtk__boxS");
   pragma Export (C, u00208, "gtk__buttonB");
   pragma Export (C, u00209, "gtk__buttonS");
   pragma Export (C, u00210, "gtk__check_buttonB");
   pragma Export (C, u00211, "gtk__check_buttonS");
   pragma Export (C, u00212, "gtk__toggle_buttonB");
   pragma Export (C, u00213, "gtk__toggle_buttonS");
   pragma Export (C, u00214, "gtk__dialogB");
   pragma Export (C, u00215, "gtk__dialogS");
   pragma Export (C, u00216, "gtk__handlersB");
   pragma Export (C, u00217, "gtk__handlersS");
   pragma Export (C, u00218, "system__assertionsB");
   pragma Export (C, u00219, "system__assertionsS");
   pragma Export (C, u00220, "gtk__marshallersB");
   pragma Export (C, u00221, "gtk__marshallersS");
   pragma Export (C, u00222, "gtk__notebookB");
   pragma Export (C, u00223, "gtk__notebookS");
   pragma Export (C, u00224, "gtk__labelB");
   pragma Export (C, u00225, "gtk__labelS");
   pragma Export (C, u00226, "gtk__miscB");
   pragma Export (C, u00227, "gtk__miscS");
   pragma Export (C, u00228, "gtk__menuB");
   pragma Export (C, u00229, "gtk__menuS");
   pragma Export (C, u00230, "gtk__menu_shellB");
   pragma Export (C, u00231, "gtk__menu_shellS");
   pragma Export (C, u00232, "gtk__menu_itemB");
   pragma Export (C, u00233, "gtk__menu_itemS");
   pragma Export (C, u00234, "gtk__itemB");
   pragma Export (C, u00235, "gtk__itemS");
   pragma Export (C, u00236, "gtk__option_menuB");
   pragma Export (C, u00237, "gtk__option_menuS");
   pragma Export (C, u00238, "gtk__radio_menu_itemB");
   pragma Export (C, u00239, "gtk__radio_menu_itemS");
   pragma Export (C, u00240, "gtk__check_menu_itemB");
   pragma Export (C, u00241, "gtk__check_menu_itemS");
   pragma Export (C, u00242, "gtk__scrolled_windowB");
   pragma Export (C, u00243, "gtk__scrolled_windowS");
   pragma Export (C, u00244, "gtk__scrollbarB");
   pragma Export (C, u00245, "gtk__scrollbarS");
   pragma Export (C, u00246, "gtk__grangeB");
   pragma Export (C, u00247, "gtk__grangeS");
   pragma Export (C, u00248, "gtk__tableB");
   pragma Export (C, u00249, "gtk__tableS");
   pragma Export (C, u00250, "gtk__textB");
   pragma Export (C, u00251, "gtk__textS");
   pragma Export (C, u00252, "gtk__old_editableB");
   pragma Export (C, u00253, "gtk__old_editableS");
   pragma Export (C, u00254, "gtkada__dialogsB");
   pragma Export (C, u00255, "gtkada__dialogsS");
   pragma Export (C, u00256, "gtk__pixmapB");
   pragma Export (C, u00257, "gtk__pixmapS");
   pragma Export (C, u00258, "gtkada__intlB");
   pragma Export (C, u00259, "gtkada__intlS");
   pragma Export (C, u00260, "gtkada__pixmapsS");
   pragma Export (C, u00261, "system__exn_lliB");
   pragma Export (C, u00262, "system__exn_lliS");
   pragma Export (C, u00263, "system__exp_unsB");
   pragma Export (C, u00264, "system__exp_unsS");
   pragma Export (C, u00265, "system__memoryB");
   pragma Export (C, u00266, "system__memoryS");
   pragma Export (C, u00267, "system__crtlS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.bit_ops%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.compare_array_unsigned_8%s
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.htable%s
   --  system.htable%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.compare_array_unsigned_8%b
   --  system.secondary_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_ops%s
   --  system.string_ops%b
   --  system.string_ops_concat_3%s
   --  system.string_ops_concat_3%b
   --  system.string_ops_concat_4%s
   --  system.string_ops_concat_4%b
   --  system.string_ops_concat_5%s
   --  system.string_ops_concat_5%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.last_chance_handler%s
   --  system.soft_links%s
   --  system.soft_links%b
   --  ada.exceptions.last_chance_handler%b
   --  system.secondary_stack%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.unsigned_types%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.fixed%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%b
   --  system.exp_uns%s
   --  system.exp_uns%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.val_int%s
   --  system.val_llu%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_llu%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.tags%b
   --  ada.exceptions%b
   --  field%s
   --  field.operations%s
   --  glib%s
   --  glib%b
   --  gdk%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.error%s
   --  glib.error%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  gtkada%s
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.object%b
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk%s
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtkada.pixmaps%s
   --  pango%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  user_if%s
   --  user_if%b
   --  field.operations%b
   --  mine_detector%b
   --  END ELABORATION ORDER

end ada_main;
